Vulnerability Name:

CVE-2017-7687

Assigned:2017-04-11
Published:2017-09-28
Updated:2017-10-10
Summary:When handling a decoding failure for a malformed URL path of an HTTP request, libprocess in Apache Mesos before 1.1.3, 1.2.x before 1.2.2, 1.3.x before 1.3.1, and 1.4.0-dev might crash because the code accidentally calls inappropriate function. A malicious actor can therefore cause a denial of service of Mesos masters rendering the Mesos-controlled cluster inoperable.
CVSS v3 Severity:7.5 High (CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H)
Exploitability Metrics:Attack Vector (AV): Network
Attack Complexity (AC): Low
Privileges Required (PR): None
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): High
5.3 Medium (CCN CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L)
Exploitability Metrics:Attack Vector (AV): Network
Attack Complexity (AC): Low
Privileges Required (PR): None
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): Low
CVSS v2 Severity:5.0 Medium (CVSS v2 Vector: AV:N/AC:L/Au:N/C:N/I:N/A:P)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Low
Authentication (Au): None
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): Partial
Vulnerability Type:CWE-19
References:Source: BID
Type: VENDOR_ADVISORY
101027

Source: MLIST
Type: VENDOR_ADVISORY
https://lists.apache.org/thread.html/2c9ed2b07c2b2831a11d21db3cf8408a71fcf2c300d73ca01bad89df@%3Cdev.mesos.apache.org%3E

Vulnerable Configuration:Configuration 1:
  • cpe:/a:apache:mesos:1.4.0-dev:*:*:*:*:*:*:*
  • OR cpe:/a:apache:mesos:1.3.0:*:*:*:*:*:*:*
  • OR cpe:/a:apache:mesos:1.3.1:*:*:*:*:*:*:*
  • OR cpe:/a:apache:mesos:1.2.0:*:*:*:*:*:*:*
  • OR cpe:/a:apache:mesos:1.2.1:*:*:*:*:*:*:*
  • OR cpe:/a:apache:mesos:1.1.2:*:*:*:*:*:*:*

  • Denotes that component is vulnerable
    BACK
    apache mesos 1.4.0-dev
    apache mesos 1.3.0
    apache mesos 1.3.1
    apache mesos 1.2.0
    apache mesos 1.2.1
    apache mesos 1.1.2